﻿<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Me.CreateNode(0, tree.Nodes)
    End Sub
    
    Private Sub CreateNode(ByVal parent As Integer, ByVal nodes As TreeNodeCollection)
        sds.SelectParameters.Clear()
        sds.SelectParameters.Add("parent", parent)
        Dim reader As IDataReader = sds.Select(DataSourceSelectArguments.Empty)
        Do While reader.Read()
            Dim node As New TreeNode()
            node.NavigateUrl = reader.GetString(1)
            node.Text = reader.GetString(2)
            Me.CreateNode(reader.GetInt32(0), node.ChildNodes)
            nodes.Add(node)
        Loop
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ツリーメニュー</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:TreeView ID="tree" runat="server" ImageSet="Msdn" NodeIndent="10" ShowLines="True">
            <ParentNodeStyle Font-Bold="False" />
            <HoverNodeStyle BackColor="#CCCCCC" BorderColor="#888888" BorderStyle="Solid" Font-Underline="True" />
            <SelectedNodeStyle BackColor="White" BorderColor="#888888" BorderStyle="Solid" BorderWidth="1px"
                Font-Underline="False" HorizontalPadding="3px" VerticalPadding="1px" />
            <NodeStyle Font-Names="Verdana" Font-Size="8pt" ForeColor="Black" HorizontalPadding="5px"
                NodeSpacing="1px" VerticalPadding="2px" />
        </asp:TreeView>
        <asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            DataSourceMode="DataReader" ProviderName="<%$ ConnectionStrings:myDb.ProviderName %>"
            SelectCommand="SELECT mid, url, title, description FROM sitemap WHERE (parent = @parent)">
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
